> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OpenAI Models

> Get list of OpenAI models



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/incidentManagement/getOpenAIModels
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/incidentManagement/getOpenAIModels:
    post:
      tags:
        - Incident Management Integrations Webservice
      summary: Get OpenAI Models
      description: Get list of OpenAI models
      operationId: getOpenAIModels
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Integration_GetOpenAIModelsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration_GetOpenAIModelsWSResponse'
          description: OK
components:
  schemas:
    Integration_GetOpenAIModelsWSRequest:
      type: object
      description: Request object for retrieving OpenAI models.
      properties:
        openAISettings:
          $ref: '#/components/schemas/IOpenAIType'
    Integration_GetOpenAIModelsWSResponse:
      type: object
      description: Response object containing available OpenAI models.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        models:
          type: array
          description: List of available OpenAI models
          items:
            $ref: '#/components/schemas/OpenAIModel'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    IOpenAIType:
      type: object
      properties:
        apiToken:
          type: string
          nullable: true
        baseUrl:
          type: string
          description: >-
            The base url for any OpenAI Chat Completions compliant API. For
            example, to use Gemini models, set this to
            'https://generativelanguage.googleapis.com/v1beta/openai/'.  If left
            blank, we will try to use OpenAI models.
          nullable: true
        defaultModel:
          type: string
          description: >-
            The model identifier to use as a default model.  This is provider
            specific and typically found on model card pages. For example, set
            to 'gemini-2.0-flash' to use the Gemini 2.0 Flash model.  Currently
            we require a model with vision capabilities for this integration.
          nullable: true
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        refreshToken:
          type: string
          nullable: true
        tokenValid:
          type: boolean
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    OpenAIModel:
      type: object
      description: List of available OpenAI models
      properties:
        created:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
        object:
          type: string
          nullable: true
        ownedBy:
          type: string
          nullable: true
        owned_by:
          type: string
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    IntegrationAuditEvent:
      type: object
      properties:
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        integrationAuditEvent:
          $ref: '#/components/schemas/IntegrationAuditEventEnum'
        user:
          type: string
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    IntegrationAuditEventEnum:
      type: string
      enum:
        - UPDATE
        - DELETE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````